//
//  StatusXMLParser.h
//  TwitterViewer
//
//  Created by 大田 貴之 on 11/06/07.
//  Copyright 2011 Apple. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface StatusXMLParser : NSObject <NSXMLParserDelegate> {
    NSMutableString *currentXpath;
    NSMutableArray *statuses;
    NSMutableDictionary *currentStatus;
    NSMutableString *textNodeCharacters;
}

@property (retain , nonatomic) NSMutableString *currentXpath;
@property (retain , nonatomic) NSMutableArray *statuses;
@property (retain , nonatomic) NSMutableDictionary *currentStatus;
@property (retain , nonatomic) NSMutableString *textNodeCharacters;

- (NSArray *) parseStatuses: (NSData *) xmlData;

@end